-- Warhammer 40K compilation by Arcalane
-- http://forums.datarealms.com/viewtopic.php?p=442346#p442346

-- Unique Faction ID
local factionid = "Imperial Guards";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "Imperial Guards";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconImperialGuards";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";

-- Main module used to check if mod is installed and as backward compatibility layer with v1-faction files enabled missions
CF_InfantryModules[factionid] = "W40K.rte"

-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a seconBTry weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Laspistol"}
CF_LightWeaponSetModules[factionid] = {"W40K.rte"};

CF_HeavyWeaponSets[factionid] = {"Lasgun", "Imperium Shotgun"}
CF_HeavyWeaponSetModules[factionid] = {"W40K.rte"};

CF_Probabilities[factionid] = {1 , 1 , 0.75 , 0.25};

-- Define explosives
CF_ExplosiveSets[factionid] = {"Imperium Frag Grenade", "Imperium Meltabomb"}
CF_ExplosiveSetModules[factionid] = {"W40K.rte", "W40K.rte"};

-- Define troops
CF_ActorSets[factionid] = {"Imperial Guardsman"};
CF_ActorSetModules[factionid] = {"W40K.rte"};

--Define brains
CF_BrainPresets[factionid] = "Imperial Commissar";
CF_BrainPresetModules[factionid] = "W40K.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"Imperial Guardsman", "Imperial Commissar", "Drop Ship MK1" , "Rocket MK1" , "Rocket MK2"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"Imperium Portable Launcher"};
CF_RocketLauncherModules[factionid] = {"W40K.rte"};

CF_SniperRifles[factionid] = {"Long Las"};
CF_SniperRifleModules[factionid] = {"W40K.rte"};

-- Define dropships
CF_Dropships[factionid] = {"Drop Ship MK1"};
CF_DropshipModules[factionid] = {"Base.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = nil
CF_ArmorCrabModules[factionid] = nil

CF_ArmorHumans[factionid] = {"Imperial Guard Sergeant"}
CF_ArmorHumanModules[factionid] = {"W40K.rte"}

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"Plasma Pistol", "Hellpistol"}
CF_ArmorPistolModules[factionid] = {"W40K.rte", "W40K.rte"}

CF_ArmorShields[factionid] = {"Power Sword"}
CF_ArmorShieldModules[factionid] = {"W40K.rte"}

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"Plasma Rifle" , "Hellpistol", "Power Sword"}
CF_EliteWeaponSetModules[factionid] = {"W40K.rte", "W40K.rte", "W40K.rte"}

--Define turrets
CF_Turrets[factionid] = {"Widow Turret (Hellgun)"}
CF_TurretModules[factionid] = {"W40K.rte"}

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;


-------------------------------------------------------------------------------
-- Define Rapid-Buy presets for this faction
-------------------------------------------------------------------------------
CF_RapidBuyPresets[factionid] = {};
local presetid

-- Default icons are
-- 1 - Machinegun
-- 2 - Shotgun
-- 3 - Grenade
-- 4 - Railgun
-- 5 - Rocket launcher
-- 6 - Plasma
-- 7 - Nuclear
-- 8 - Lightning

-- Machinegunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric1"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Imperial Guardsman"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Lasgun" , "Laspistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 50 + 75 + 50;

-- Plasmagunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric6"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Imperial Guard Sergeant"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Plasma Rifle" , "Laspistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 80 + 50;


-- Meltagunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric8"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Imperial Guard Sergeant"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Meltagun" , "Laspistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 210 + 50;


-- Rocketeer
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric5"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Imperial Guardsman"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Imperium Portable Launcher" , "Laspistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 110 + 50;

-- Shotgunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric2"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Imperial Guardsman"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Imperium Shotgun" , "Laspistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 90 + 60 + 50;

-- Sniper
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric4"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Imperial Guardsman"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Long Las" , "Laspistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 90 + 100 + 50;