-- Warhammer 40K compilation by Arcalane
-- http://forums.datarealms.com/viewtopic.php?p=442346#p442346

-- Unique Faction ID
local factionid = "Ultramarines";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "Ultramarines";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconUltramarines";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";

-- Main module used to check if mod is installed and as backward compatibility layer with v1-faction files enabled missions
CF_InfantryModules[factionid] = "W40K.rte"


-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Bolt Pistol"}
CF_LightWeaponSetModules[factionid] = {"W40K.rte"};

CF_HeavyWeaponSets[factionid] = {"Bolter"}
CF_HeavyWeaponSetModules[factionid] = {"W40K.rte"};

CF_Probabilities[factionid] = {1 , 1 , 0.75 , 0.25};

-- Define explosives
CF_ExplosiveSets[factionid] = {"Imperium Frag Grenade", "Imperium Meltabomb"}
CF_ExplosiveSetModules[factionid] = {"W40K.rte", "W40K.rte"};

-- Define troops
CF_ActorSets[factionid] = {"Ultramarine Scout" , "Ultramarine", "Assault Ultramarine", "Ultramarines Sergeant"};
CF_ActorSetModules[factionid] = {"W40K.rte" , "W40K.rte" , "W40K.rte" , "W40K.rte"};

--Define brains
CF_BrainPresets[factionid] = "Chaplain";
CF_BrainPresetModules[factionid] = "W40K.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"Chaplain" , "Ultramarine Scout" , "Ultramarine", "Assault Ultramarine", "Ultramarines Sergeant", "Drop Ship MK1" , "Rocket MK1" , "Rocket MK2", "DropPod Ultra Marine"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"Imperium Portable Launcher"};
CF_RocketLauncherModules[factionid] = {"W40K.rte"};

CF_SniperRifles[factionid] = {"Marine Sniper Rifle"};
CF_SniperRifleModules[factionid] = {"W40K.rte"};

-- Define dropships
CF_Dropships[factionid] = {"Drop Ship MK1"};
CF_DropshipModules[factionid] = {"Base.rte"};

-- Define droppods
CF_Droppods[factionid] = {"Ultramarines Drop Pod"};
CF_DroppodModules[factionid] = {"W40K.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = nil
CF_ArmorCrabModules[factionid] = nil

CF_ArmorHumans[factionid] = {"Assault Ultramarine"}
CF_ArmorHumanModules[factionid] = {"W40K.rte"}

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"Bolt Pistol"}
CF_ArmorPistolModules[factionid] = {"W40K.rte"}

CF_ArmorShields[factionid] = {"Chain Sword"}
CF_ArmorShieldModules[factionid] = {"W40K.rte"}

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"Plasma Rifle" , "Storm Bolter" , "Power Sword"}
CF_EliteWeaponSetModules[factionid] = {"W40K.rte", "W40K.rte", "W40K.rte"}

--Define turrets
CF_Turrets[factionid] = {"Widow Turret (Bolter)"}
CF_TurretModules[factionid] = {"W40K.rte"}

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;

-------------------------------------------------------------------------------
-- Define Rapid-Buy presets for this faction
-------------------------------------------------------------------------------
CF_RapidBuyPresets[factionid] = {};
local presetid

-- Default icons are
-- 1 - Machinegun
-- 2 - Imperium Shotgun
-- 3 - Grenade
-- 4 - Railgun
-- 5 - Rocket launcher
-- 6 - Plasma
-- 7 - Nuclear
-- 8 - Lightning

-- Machinegunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric1"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Bolter" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 150 + 65;


-- Heavy machinegunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric7"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Heavy Bolter" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 365 + 65;


-- Plasmagunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric6"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Plasma Rifle" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 80 + 65;


-- Meltagunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric8"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Meltagun" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 210 + 65;


-- Rocketeer
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric5"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Imperium Portable Launcher" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 125 + 110 + 65;

-- Imperium Shotgunner
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric2"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine Scout"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Imperium Shotgun" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 90 + 60 + 65;

-- Sniper
presetid = #CF_RapidBuyPresets[factionid] + 1;
CF_RapidBuyPresets[factionid][presetid] = {}

CF_RapidBuyPresets[factionid][presetid]["Icon"] = "PresetIconGeneric4"
CF_RapidBuyPresets[factionid][presetid]["IconModule"] = "UnmappedLands.rte"

CF_RapidBuyPresets[factionid][presetid]["Dropship"] = nil
CF_RapidBuyPresets[factionid][presetid]["DropshipModule"] = nil

CF_RapidBuyPresets[factionid][presetid]["Trooper"] = "Ultramarine Scout"
CF_RapidBuyPresets[factionid][presetid]["TrooperModule"] = "W40K.rte"

CF_RapidBuyPresets[factionid][presetid]["Weapons"] = {"Marine Sniper Rifle" , "Bolt Pistol"}
CF_RapidBuyPresets[factionid][presetid]["WeaponModules"] = {"W40K.rte" , "W40K.rte"}

CF_RapidBuyPresets[factionid][presetid]["Price"] = 120 + 90 + 32 + 65;
